#include "nodes/base/base.hpp"
#include "nodes/analyze/analyzeNode.hpp"

#include "nodes/analyze/function/cross.hpp"

namespace GNode
{


void AnalyzeNode::handle_data(std::shared_ptr<meta::BaseData>& meta_data)
{
    auto frame_data = std::dynamic_pointer_cast<meta::FrameData>(meta_data);
    int width = frame_data->image.cols;
    int height = frame_data->image.rows;
    auto res = person_cross_line(frame_data->track_boxes, cv::Point(0, 0), cv::Point(width, height));
    frame_data->result = res;
}


}   // namespace Node